<template>
  <div>
    <h1 class="title">Découpage en composants</h1>

    <button>Ajouter une todo</button>

    <div class="posts">
      <div v-for="toto in todos" :key="toto.id" class="posts-item">
        <span class="posts-item-author">Utilisateur n° {{ toto.userId }}</span>
        <h3 class="posts-item-title">{{ toto.title }}</h3>
      </div>
    </div>
  </div>
</template>

<script>

import axios from 'axios';

export default {
  
  name: 'ComponentToDo',

  data: function () {
    return {
      todos: []
    }
  },

  async created () {
    try {
      const response = await axios.get(`http://jsonplaceholder.typicode.com/todos`)
      this.todos = response.data;
    } catch (e) {
     console.log(e);
    }
  }
}
</script>

<style lang="scss" scoped>
  .title {
    text-align: center;
  }
</style>
